Bug 822820 - XML-RPC Call .get does not return tag names
XML-RPC Call .get does not return tag names
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks: 593666
  Show dependency treegraph
 
Reported: 2012-05-18 05:28 EDT by Marian Ganisin
Modified: 2016-05-26 09:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2012-05-18 05:28:36 EDT
Description of problem:

XML-RPC calls like TestRun.get return just list of tag ids. This requires additional rpc call to get names of tags, this increases load to server.

It is desirable to get tag names in .get() calls (for TestRun, TestCase, etc.)
Comment 2 Xin Gao 2012-07-25 21:50:42 EDT
Verify 3.8.0-1 on stage -->PASS

Verify steps:
1.test TestPlan.get(plan_id)


Actual result:
include tag names in result.

Note You need to log in before you can comment on or make changes to this bug.